Bug 834636 - Wrong binding info reported for dlopen
Wrong binding info reported for dlopen
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 11:58 EDT by Ulrich Drepper
Modified: 2016-11-24 10:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 14:49:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (1.71 KB, application/octet-stream)
2012-06-22 11:58 EDT, Ulrich Drepper
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 14474 None None None Never

  None (edit)
Description Ulrich Drepper 2012-06-22 11:58:20 EDT
Created attachment 593785 [details]
Patch to fix the problem

Description of problem:
The binding information printed for LD_DEBUG=bindings is incorrect when dlopen is used.  This severely hinders people debugging problems with audit modules and other problems.

Version-Release number of selected component (if applicable):
2.15-48

How reproducible:
always

Steps to Reproduce:
1.find program which uses dlopen with a handle returned by dlopen
2.use LD_DEBUG=bindings
3.
  
Actual results:
The 'from' map is reported to be the map with the definition

Expected results:
The from 'from' map should be reported.

Additional info:
This is a problem in RHEL6 as well and should be fixed there as well.
Comment 1 Jeff Law 2012-06-29 00:39:03 EDT
Uli, is there a reason why you haven't installed this into the official glibc sources?

While we can and do carry some local changes, our preference would be to minimize such changes.  This seems like a case where, as a glibc maintainer, you should install the change upstream and I'll pull it from there.
Comment 2 Jeff Law 2012-08-15 14:49:59 EDT
An upstream bug has been filed (#14474) and your patch attached to that upstream report.  If/when the upstream glibc maintainers install that patch, we'll pick it up for Fedora via our normal merging processes.

Note You need to log in before you can comment on or make changes to this bug.